#include <stdio.h>
#include <stdlib.h>

int main()
{
    char c1, c2,str[10],g;
    int a1,a2,i=0;
    scanf("%c",&c1);
    scanf("%c",&c2);
    printf("a1 a2\n");
    scanf("%d %d", &a1,&a2);
    g=a1;
    if(a1==a2)
    {
        while(i<a1+a2)
        {
            str[i]=g;
        if(i%2!=0)
            g=c2;
        else
            g=c1;
            i++;
        }
    }
    str[0]=c2;
    if(a1==a2)
    {
        for(i=0;i<a1+a2;i++)
            printf("%c", str[i]);
    }
    else
        printf("nemoguce");
    return 0;
}